API ReferenceSequences
Create a broadcast or a sequence
templateId must identify a marketing team template or marketing system starter. Transactional templates return 422 template_not_marketing.
templateId must identify a marketing team template or marketing system starter. Transactional templates return 422 template_not_marketing.
x-sendlit-apikey<token>
In: header
Request Body
application/json
Body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.sendlit.dev/sequences" \ -H "Content-Type: application/json" \ -d '{ "type": "broadcast", "templateId": "string" }'{
"sequenceId": "string",
"type": "string",
"title": "string",
"status": "string",
"deliverySource": {
"type": "organization"
},
"triggerType": "string",
"triggerData": "string",
"filter": null,
"excludeFilter": null,
"emailsOrder": [
"string"
],
"entrants": [
"string"
],
"report": null,
"createdAt": "string",
"updatedAt": "string",
"emails": [
{
"emailId": "string",
"subject": "string",
"content": {
"style": {
"property1": null,
"property2": null
},
"meta": {
"property1": null,
"property2": null
},
"content": [
{
"property1": null,
"property2": null
}
]
},
"delayInMillis": 0,
"published": true,
"templateId": "string",
"actionType": "string",
"actionData": {
"property1": null,
"property2": null
},
"createdAt": "string",
"updatedAt": "string"
}
]
}{
"error": "string"
}{
"error": "template_not_marketing"
}